This file is not maintained any more. It is here for reference.
Please read "git log" for detailed change log in NsCDE development.

2021-12-18  M. Z.
   * Update front page screenshot for 2.0
   * Fixes: stalonetray conf x+y
   * Fixes: Subpanels moving and default NsCDE apps, functions
   * Fixes: GlobalPager in multi monitor mode geometry
   * Fixes: Occupy Monitor echo portability
   * Small help fixes for lock screen context menu
   * Write release notes
   * Enhance fpdoc to use native man if docs browser supports it
   * Add docs browser
   * Tune fontsets for higher resolutions
   * Add more handy key bindings into style managers and document them
   * Correct screen calculation for GWM under FVWM3 with multiple monitors
   * Documentation now has descriptions of XDG subsystems in NsCDE
   * Correct Escape behaviour in WsPgMgr, document keybindings for style managers
   * Add Ctrl+Return shortcut where missing in apps
   * Enhance fontmgr.local
   * More colormgr.local working examples
   * Fix Qt5 font sync
   * Fix Firefox 95 menu css, docbook Makefile.am, add x-terminal-emulator Style
   * Support for konsole terminal in colormgr.local and fontmgr.local
   * Fix f_HideLocalPager according to Dominik's advice
   * Put attention text to migrate_nscde_1x_2x script
   * Implement cleaning of stale html from user's tmp on starup
   * Some session integration fixes and docs
   * Extend Makefile.am in doc/docbook
   * Finishing new illustrated documentation
   * Graphic and figures work on documentation
   * Update documentation, add notices to template files about overwriting
   * bin/nscde: OpenBSD ships with an incompatible Fvwm 2.2 in the base system.
     Fvwm 2.6 can be downloaded from ports, but it will have the binary name
     fvwm2 to avoid conflicts; therefore, fvwm2 must take precedence over
     fvwm in the nscde launch script.
   * Add pkg/README
   * Refresh autoconf deps
   * Smart XDG paths from configure.ac
   * Fix pattern matching in fpexec
   * Fix f_DisplayURL handling
   * Fix subpanel_menuitem_props to restart FrontPanel when applet is from sys
   * Fix fpdoc for SunOS
   * Fix fpdoc on BSD
   * Improve help links usability and functionality from Front Panel and Subpanels
   * Add Ctrl+Return key binding to FpIconMgr
   * Minor fixes to FpIconMgr, documentation, fix locale
   * Cleaning and fixing after FpIconMgr implementation
   * Add Front Panel Icon Manager
   * Check input during rename, be more robust.
   * Add Rename functonality for subpanels items
   * Fix props menu PipeRead quoting
   * Add Move Button Left/Right functionality to Front Panel props menu
   * Remaster from h3d-fhs for 2.0
   * Some linking dependency in icon theme
   * Fix FP Button 8 handling, fix applet handling in system FrontPanel.actions
   * Enhancing documentation: internal linking
   * Implement App Mgr or Editor automatic for Front Panel
   * Fix minor errors in enhanced user bootstrap script
   * Enhance user bootstrap procedure
   * Default Xset.conf, enhance bootstrap
   * Make .desktop app files correct in any application
   * Enriching documentation with new items
   * Handling of CDE icon paths in migrate_nscde_1x_2x
   * Further work on updating documentation for 2.0
   * Fix NProcMgr first use of action popup, documentation
   * Fix NProcmgr visual glitch on action popup menu when used first time
   * Documentation updates
   * Fix basic X resources in Xdefaults
   * Fix appfinder, better notify popup handling
   * Default App not found notify, fix missing browser
   * Default App not found notify, fix printer call from Front Panel
   * Add gettext as packaging runtime dependency
   * Add working Arch Linux PKGBUILD example in pkg/pacman.
   * Start updating documentation
   * Found and populated more missing icons for icon theme
   * Fix not wanted added space in workspace name in WsPgMgr
   * Avoid using copyrighted names for art pieces
   * Mozilla CSS textarea selection fixes, locale
   * WSM TextField bug and help notice
   * Add default print manager to FP
   * Default .xscreensaver for bootstrap if it does not exist
   * Firefox 9x user chrome corrections for ff94
   * Fix rpm packaging
   * Fix python path in themegen, packaging improvements
   * Dunst icon path in autoconf polishing
   * More friendly and descriptive message about e-mail and calendar applets.
   * Add and tune debian package build in pkg/
   * Icon theme consolidation
   * Polish rpm spec
   * Rearrange docs hierarchy
   * Packaging: spec file for Fedora, other to come
   * Migration script tuning and localization
   * Refresh list of audio mixers for various systems
   * Improve migration from 1.x to 2.x
   * Bourne compatible Exec in Subpanels.fvwmconf and generate_subpanels
   * Tuning and testing migration process and script
   * Add the 1.x to 2.x migration script
   * Default PositionPlacement for FrontPanel, stalonetray and Gkrellm
   * Automake portability fix
   * Automake tuning
   * Autoconf fixes
   * Fix icon finding in strip_icon_path.in
   * Fix icon finding in strip_icon_path.in
   * Fix icon finding in subpanel_menuitem_props
   * Consolidate and enhance CheckMailApplet
   * f_DisplayURL reworked, docs url no longer semi-hardcoded
   * Fix IconSize calculations of WindowMgr
   * Smarter handling of XDG_ variables in Main.fvwmconf
   * Harden defaults for normal and sandbox mode in Main.fvwmconf
   * Fix FrontPanel indicators for fvwm2, fix Subpanels generator
   * Fix Subpanels parsing, Fix WSM ChangeTitle syntax error
   * Fix autoconf for ksh
   * Fix XDG_ variables in Main.fvwmconf
   * More Firefox and Thunderbird CSS fixes
   * Minor non-fatal syntax bug fixes in WSM
   * Update README.md and INSTALL.md
   * Thunderbird CSS fixes
   * Style Managers: handle user's static configuration with error/warning
   * OSD colors for MATE volume control GTK3 fix
   * Get rid of get_fvwm_infostore
   * Correct hardcoded NsCDE root in NsCDE/bin/fpclock
   * XPM Icons consolidation
   * Uniform conf selection fvwm2/fvwm3 Subpanels and Front Panel
   * Uniform conf selection fvwm2/fvwm3
   * Subpanels selection fvwm2/fvwm3
   * Front Panel selection fvwm2/fvwm3
   * Autoconf: docs and uninstall works
   * Remove old post rc28 upgrade function.
   * Testing autoconf/automake for NsCDE
   * Finishing autoconf/automake for NsCDE
   * Work on autoconf/automake
   * Beginning of autoconf/automake
   * FHS: Rename NSCDE_TOOLDIR to NSCDE_TOOLSDIR
   * Rename pager config not to have redundant "Pager" in the name
   * Correct f_ReadCfg
   * Further work on FHS standards
   * Fix missing comma in NsCDE-Style.conf near IconFill
   * Further work on FHS standards
   * Fix hardcoded path in functions
   * Initial FHS work begin
   * Integrate FpLite in appfinder logic

2021-09-28  M. Z.
   * Added Firefox CSS templates for firefox 7x, 8x and 9x theme and color integration
   * Added Thunderbird CSS templates for firefox 7x, 8x and 9x theme and color integration
   * New integration code fore firefox and thunerbird in share/config_templates/colormgr.local
   * System Action Dialog: checkbox to remember the last decision
   * Checkbox in Workspaces and Pages Style Manager to use compact WSM in 6 or 8 workspace case
   * Option nosplash to avoid NsCDE splash screen in $FVWM_USERDIR/NsCDE.conf
   * Transient Focus sane defaults
   * Many locale fixes and additions
   * Allow whitespace in X11 Class/Resource Name in the Geometry Manager #59
   * Fix f_RepositionWindow for fixed position windows, use single quotes in GeometryMgr
   * More flexible Makefiles for packaging purposes.
   * Extended RandR different backdrops and photos support for FVWM3 has been added
   * Add FVWM3 RandR Configuration for Workspaces and Pages Style Manager
   * Document FVWM3 X RandR support
   * FVWM3 XRandR: various pager FVWM2 and FVWM3 fixes
   * Add GeometryWindow Colorset in FVWM3
   * NProcMgr FVWM3 variations, misc fixes, order of resolving variables fix
   * NProcMgr: fix FvwmBacker handling in FVWM3 non-global mode
   * Occupy: Monitor mode support, lots of misc bugfixes
   * Cleanup older fvwm3 monitor setup functions out
   * Optimize LocalPager show/move
   * Configurable pager timeout, initial f_SendToPGM
   * Properly set FVWM3 DesktopConfiguration in Main conf
   * Xscreensaver during first setup detection and default y/n based on this
   * Firefox 9X chrome/content theming support and further CSS fixes
   * Horizontal tiling option with Meta+Alt+H
   * Firefox CSS fixes for jumpy buttons and menus, sidebar menupopup
   * Firefox CSS fixes for panel arrow boxes
   * Add new GWM app, fix WSM when WsPgMgr renames Workspace
   * Pager Title improvement, GWM Options Dialog
   * Tune StyleMgr menu, design GWMOptions
   * Rename Workspaces and Pagers Manager (WsPgMgr) to Workspaces and Pages Style Manager
   * StyleMgr addition of Workspaces and Pages Style Manager, which is now one of style managers
   * Finish GWM, fix DestroyModuleConfig for pagers, remove WSPPG option, update menus
   * Localization for GWM and GWMOptions
   * Add key bindings for GWM and GWMOptions
   * Merge GWM and GlobalPager
   * One new backdrop, couple icon additions for icon theme
   * Fix stupid hardcodings and Installer
   * Key bindings hints in help menus of GWM and StyleMgr
   * Add polkit agent find and startup, workarounds for faulty polkit agents
   * Make WSM and WsPgMgr more robust, do not depend on WSM.conf
   * First setup option for FVWM3 logging to be turned on by default
   * Added optonal screenshot of screen or screen area if xclip is installed
   * Removed defaulting to Emacs gtk-key-theme-name in GTK2/GTK3/Xsettingsd
   * Added more mime support
   * Cleaned up subpanels
   * Documentation update

2021-04-17  M. Z.
   * Fix Resize from Maximized states to get proper menus
   * Ensure configure_window event to put de-maximized window into state 8
   * Fix StartsOnScreen when repositioning windows
   * FilePicker: handle directories with spaces
   * Update insanely old and wrong installation instructions in docs
   * Expansion of monitor.current of GlobalPager for FVWM3 fix
   * Set state 8 to true on max to grow helper to avoid confusion from event
   * Fix ENTRY typo for subpanels
   * Docs update, fix paths, add notices
   * Properly handle gtk dark theme flag based on palette 4th colour foreground
   * Use FvwmCommand again for fvwm and fvwm3, rewrite nscde_fvwmclnt as shell wrapper
   * Properly handle acpi actions on Linux systems with fake/inactive systemd
   * Correct padding for active and checked gtk3 buttons (thanks leoctrl)
   * Remove unnecessary and damaging delete/close/destroy of all windows on quit session
   * LD_PRELOAD only for FvwmScript on unpatched fvwm 2.X
   * Fix nscde_setup setting already existing gtk configs
   * Carefully wrap and call shell interpreter in Sandbox mode
   * Optimize fallback maximize state for configure_window event
   * Add pre-compiled convinient help binaries for aarch64 and armv7l
   * Specify appropriate action for subpanel button 1 3rd mouse click
   * Front Panel right click localization fixes
   * Reorganize common WSM button right click options
   * Front Panel New launcher instructions on click
   * Fix gtk3 hardcoded red border in widgets.css

2021-01-02  M. Z.
   * Fix for expansion of monitor.current for FvwmPager on FVWM3
   * Update incorrect and very old installation instructions in main documentation
   * FilePicker: handle directories with spaces
   * Fix StartsOnScreen when repositioning windows
   * Ensure f_SysConfigureWindowEvent awlays has window context
   * Esure configure_window event to put de-maximized window into state 8
   * Fix Resize from Maximized states to get proper menus

2020-12-18  M. Z.
   * Auto focus transients
   * Smaller typo and omission fixes
   * OpenIndiana, NetBSD, OpenBSD and DragonFly BSD support, including ACPI
   * Various portability tunings
   * Make Korn Shell path universally acceptable and portable.
   * Installer improvements and tuning
   * fvwm3 now default if found before fvwm2
   * Fix crappy tail shortcomings on NetBSD
   * Regex portability fixes
   * Use While instead of For in WSM FvwmScript to avoid stack overflow of
     FvwmScript. See https://github.com/fvwmorg/fvwm3/issues/299
   * Improved Backdrop Style Manager photo/wallpaper handling
   * Icon theme updates
   * Abadon silly NsCDE-Photos, embedd 4 optimized PNGs for default
   * Consolidate Maximize Window levels
   * Locale fixes
   * Fix endless appending XDG variables on restart
   * Keybindings final logical reorganization and consolidation
   * Tile Windows support via FvwmRearrange (Meta+Alt+R)
   * 10% zoom-like auto-resize window with Meta+F4 and zoom out with Shift+Meta+F4
   * Tune palettes, add popular Nordic palette
   * Front Panel Clock: uniform color theme colors for H:M:S
   * Backdrop Style Manager: photo conversion from jpeg, tiff and gif
   * Fix wrong parameter order for notification messages in Backdrop Style Manager
   * File Picker: workarounf race condition with FVWM messages, keybindings
   * Backdrop Style Manager: Do not offer more variants in 4-colors mode
   * Deiconify and (or) De-Shade Global Pager instead of closing it
   * Documentation updates for all of the above
   * Last minute typo fixes

2020-11-15  M. Z.
   * FVWM3 (1.0.1 an up) supported to the large extent if installed on the system
     via FVWM_BIN variable in environment, or user's profile which is read by startx
     or X display manager.
   * Lots of locale fixes
   * Fix Front Panel all buttons highlighted on restart
   * FVWM3 / FVWM2: Automatically choose between FvwmCommandS and FvwmMFL in
     NsCDE-Main.conf StartFunction
   * Some more CDE icons added
   * FVWM3 FvwmScript: Add Cursor left_ptr default
   * Rename share/templates in all places to share/config_templates
     because share/templates name is XDG reserved, visible in file manager ...
   * nscde_fvwmclnt socket discovery tuning, nscde_fvwmclnt is now main command
     line tool for managing FVWM on both FVWM2 and FVWM3
   * NsCDE XDG Menu entries, prefix and display manager desktop file fixes
   * All FvwmPager pagers fine tuned for proportions on different display sizes
   * FVWM3 version and FVWM2 subversion proper handling
   * lib/scripts/Sysinfo syntax error correction and version variables fix
   * Consistent naming for Watch Errors, advanced FVWM3 logging support and
     detection
   * NProcMgr remember action and config choices if closed and set them on start
   * Fix SubpanelMgr escaping NsCDE application files variables and quotes
   * Last subpanel exec support with Meta+F12
   * Rofi theme and rofi integration support
   * Technology preview: FVWM3 per-desktop feature
   * Tall Backdrops SkyDark and SkyLight for bigger monitors / resolutions
   * Fix Colorset 49 sh and hi
   * Added Color 8 support for Front Panel and colored WSM to Color
     Style Manager
   * Coalmine palette correction
   * Documentation sync with new states and other updates
   * Backdrops cleanup and meaningful naming from work ad hoc names
   * Palettes cleanup and meaningful naming from work ad hoc names
   * nscde_setup localization support
   * Some new backdrops
   * Upgrade message and action from pre-rc28 added
   * Area screenshot feature from window operations menu on root window
   * Rework of window context menu (Window Operations) menu functions
     added more dynamic and contextual detections, build meaningful menu
   * Minimal size for subpanels, prevent accidental garbling on resize
   * Check and fix mnemonic usage on menus
   * Extended and smart Maximize function on Window Operations Menu and
     Alt+F7 and Alt+F8
   * subpanel_menuitem_props fix variable typo in exec_entry()
   * Fix WSM in 6 buttons mode wrong background colorset
   * Window Operations Menu: Reposition function fallback
   * Prevent Occupy dialog to appear more than once on page
   * Occupy Workspace and Occupy Page merged to one more poweful tool
   * Instruct installer to backup unknown backdrops and palettes
     during upgrade procedure and print warning
   * Autumn palette rework
   * f_Upgrade version print fix
   * Tune IconBox and IconGrid handling to match CDE behaviour
   * Logical key binding for button 1 menu in window context like in CDE
   * More CDE and useful key bindings for working with icons and windows
   * Small function and menu fixes, keybindings and documentation fixes
   * Tuning bindings logic and testing ergonomy
   * Finally new NsCDE logo in small medium and large XPM file

2020-09-06  M. Z.
   * NsCDE 1.0rc25 release
   * Fix nasty stopper in Installer.ksh which misconfigures NSCDE_ROOT in interactive setup.
   * Reworked the way "Version" builtin variable is used in FVWM configuration, it will go
     away in FVWM3.
   * Added checks on the basis FVWM_IS_FVWM3 environmnent variable to functions,
     Sysinfo and Splash. This is not yes full FVWM3 support.

2020-09-02  M. Z.
   * NsCDE 1.0rc24 release
   * Minor last minute icon theme fixes
   * Front Panel minimum and maximum window size boundaries
   * Dunst and Stalonetray fully integrated with NsCDE
   * Keyboard focus fixes in many FvwmScript apps
   * Default core and internal apps Style tunings 
   * Window Geometry Manager - from function to FvwmScript application
   * added libexec/geticon.py helper to find application icon when needed
   * Consolidated Delete/Close/Destroy Window Options menu actions
   * Additional checks for generate_subpanels and other scripts while parsing actions files
   * Front Panel Controls menu consolidation and help
   * New keybinding Meta+Shift+Tab to cycle workspaces reverse
   * Documentation update
   * Pre-CDE VUE palettes and backdrops merged into master
   * Installer.ksh: support staged installation (for packaging) with -D
   * Fully support Dunst Notification Daemon in the same manner as stalonetray
   * Fix possible indefinite Wait in share/config_templates/NsCDE-Functions.local sample
   * Fix WSM truncating WSM.conf bug after initial creation before first restart
   * New Late Summer palette, removed nonworking b/w palettes
   * Two new backdrops: CubesSmall and Pearls
   * Style fixes for Gkrellm, Sysinfo, menus etc ...
   * Iconify Event function fix when PipeRead gets dash(1) shell on Debian
   * Better error handling for sysinfo.py (Workstation Information)
   * Add Solaris Earth Watch icon in the icon set, document example how to use it. 
   * Remove xscreensaver splash, thanks Thomas Merkel
   * Python syntax fixes, find app volumectrl, better colormgr.local
   * Major works on higher DPI corrections for font handling
   * New FvwmScript app: NsCDE Process Manager (NProcMgr) Added
   * Localization fixes
   * Fix Splash Screen under fvwm3 (hopefully) on multi display
   * Full localization for FVWM page names
   * Front Panel: major achievement: custom number of left and right launchers support
   * WSM: support for fixed button width in 2, 6 and 8 workspaces mode, eco mode for legacy
   * Show / Restore Workspace functionality added as mouse and key binding
   * Fixes for monitor enumeration, preparations for FVWM3 support
   * Fix default Front Panel Iconified IconBox position not to overlap stalonetray
   * Stop using FvwmBanner (removed in FVWM3)
   * Init and setup procedure polishing
   * Add FvwmScript based splash screen for NsCDE

2020-05-04  M. Z.
   * NsCDE 1.0rc21 release
   * Localization support + first new language (Croatian)
   * Multiscreen fixes
   * Color Style Manager clickable base colors with frames and foreground,
     improved CDE similarity
   * Color Editor on new Modify Button, full CDE functionality in Color Style
     Manager
   * Installer modifications and improvements, more local examples: Style,
     Keybindings and Menus
   * Documentation update for Color Style Manager
   * Fix: Use $[w.resource] instead $[w.name] everywhere because of localization
   * Oasis palette consolidation, new Coalmine palette ...
   * README.md cleanup
   * InputForm corrections and improvements
   * Font Style Manager rewritten from scratch in a robust and more usable way
   * Fontsets rethinking and reorganization, new fontset added (Fira)
   * Documentation update for Font Style Manager
   * Fix over-edge placements of pagers
   * WindowList mouse positioninig with keyboard - change to center of the
     window
   * Rest minor fixes and cleanups
   * Misc documentation updates


2020-03-14  M. Z.
   * NsCDE 1.0rc18 release
   * Fix fvwm-menu-desktop invocation in SubpanelMgr and NsCDE-Functions.conf
   * Added feature to change launchers on Front Panel which are of Swallow type
   * Added feature of custom applets on Front Panel (FrontPanel.actions
     writing only)
   * Pipe as substitute for comma in FrontPanel.actions for swallow entries
   * Dynamic contextual menus for Window Options 1st titlebar button
   * NsCDE-Functions functions cleanup
   * NsCDE-Menus.conf cleanup and Window Options menus reorganization
   * Make Local Pager to Move outside of visible screen instead of Iconify to
     prevent occasional flickering and Busy Cursor
   * New Keybinding: Meta+Alt+F for Maximize fullscreen
   * Use EWMH Base Struts for Front Panel and stalonetray area
   * Use ewmhiwa for Move and Maximize options which are not intended to
     recpect EWMH working area
   * Stretch Window now uses normal Maximize (EWMH) instead of calculation
   * Fix stalonetray position and size changes with MoveByProgramMethod IgnoreGravity
   * WSM and WsPgMgr: apply runtime desktop names during initialization
   * Misc menu fixes
   * Common default application finder, XDG menu and submenu update: f_FindApp
   * XDG menu entries for FVWM/NsCDE components
   * XDG menu entries for NsCDE log and console
   * Configurable log cmd (infostore for ~/.xsession-errors if different)
   * Fix BackdropMgr and WsPgMgr to use more CDE terminology
   * Remove libexec/nscde-fvwm-menu-desktop in favor of default
     fvwm-menu-desktop
   * Smooth Front Panel start improvements (applets not visible before
     swallowing into Front Panel)
   * Improved Front Panel contextual menus for CDE similarity
   * Improved Front Panel handles function and menus CDE similarity
   * NsCDE-Functions.local initial setup template: FakeKeypress for mail/calendar example
   * WindowList style fixes, FrontPanel syntax fixes, function fixes
   * Shift+Click on root window GWM position fix, New WindowList MenuStyle
   * Disable default FvwmAuto, handle with FvwmEvent, merge NsCDE-Auto.conf in
     NsCDE-Functions.conf, remove NsCDE-Auto.conf
   * Documentation update for all this above


2019-12-14  M. Z.
   * Bug fixes: ACPI, locking, screensaver, pager, pageless mode, early
     startup hook ...
   * Finally implement backer dir generated backdrop cleanup on backdrop
     change
   * Backdrop/Picture name above preview in Backdrop Style Manager
   * Pointer Style Manager - add ClickTime and set it to Menu DoubleClickTime
   * Pointer Style Manager - safety checks for parameter existance in
     configuration files for double click time
   * Global Pager under mouse placement over the edge of the screen fix
   * Nice new backdrop - Noise
   * NsCDE-Functions.local example in $FVWM_USERDIR, Style Manager bug fixes
   * Icon search routines support in event module
   * nscde_setup to edit exitsing widget ini files
   * add NsCDE qualifier for dex-autostart
   * Fix Local Pager aspect ratio for different page combinations
   * Max font size option for bin/getfont to handle FvwmScript mess
   * Fine tune bigger font sizes in widgets
   * Gtk/Qt and font integrations by default
   * acpi and sudo fixes
   * sed -> ised
   * Some common 24x24 and 22x22 icons improvements
   * libexec/backdropmgr same backdrop apply fix
   * Spiral backdrop fix
   * FvwmScript PopupMenu under X Compositor workaround
   * Help menu quotation fixes
   * NsCDE Version 1.0rc15 out


2019-11-12  M. Z.
   * Major work on hundreds of icons and more/less complete NsCDE icon theme
   * Single Logical Screen (multiscreen) support
   * Main wrapper hardening
   * Enhanced default NsCDE-Init.conf
   * Preliminary, initial and optional integration with dex-autostart
     freedesktop autostarter
   * Fix LD_PRELOAD handling
   * Local and Global visual pagers handled by keybindings great improvement
   * So called Client Side Decorations (CSD) killer integration
   * Style fixes, menu fixes
   * Installer dependency handling fixes
   * Python icon regenerator and processor performance improvement
   * Subpanels logical re-organisation and names
   * Press colorset FrontPanel and subpanels fixes
   * Some colormgr fixes and python palettes path handling improvements
   * Misc small fixes
   * NsCDE Version 1.0rc14 out

2019-10-05  M. Z.
   * Added icon theme in share/icons/freedesktop/theme should be symlinked as
     /usr/local/share/icons/NsCDE and used in GTK and X settings.

2019-09-16  M. Z.
   * Occupy Page dialog and support
   * Many portability fixes
   * Installer.ksh written
   * XOverrideFontCursor LD_PRELOAD for non-patched FVWM installations
   * nscde_setup extended
   * System Action dialog suspend/hibernate shutdown and reboot portability
   * misc fixes
   * NsCDE 1.0rc10 released

2019-09-02  M. Z.
   * Python 3 setconf fixes for gtkrc-2.0 properties-style writing
   * Initialization of xscreensaver, xsettingsd and stalonetray handled by Main
     start function
   * Configuration options for screensaver, stalonetray and LocalPager position

2019-09-01  M. Z.
   * Major Python revision: PyQt5 supported now as an alternative to PyQt4
   * Translated all Python to Python 3, python 2 not needed anymore (hopefully)
   * Use /usr/bin/env python3 as hash bang in python scripts - safe bet
   * Consolidate themegen.py usage description text
   * Make themegen.py search user's palette and system palette dirs for
     palette names, but retain direct palette file path support
   * Tests on Arch Linux, should work now without problems
   * Tests on FreeBSD, relatively painless installation now
   * Version to 1.0rc6

2019-08-28  M. Z.
   * FreeBSD fixes and throughts, general portability fixes
   * xsettingsd integration
   * mkpagemenu fix when there is no $FVWM_USERDIR/WSM.conf
   * /usr/(local)/share/icons and $HOME/.local/share/icons in ImagePath in Main
   * System Subpanels.actions and NsCDE-Subpanels.conf corrections
   * NSCDE_PALETTE as plain palette name without .dp
   * Version to 1.0rc5

2019-08-22  M. Z.
   * Fix for excessive thick big icons of windows.
   * Fvwm Console contextual menu on WatchWinMgrErrors
   * Colorset corrections of menus
   * Misc fixes

2019-08-21  M. Z.
   * Added contextual menus with functions to Front Panel and Subpanels
   * Fixes of the styles, menu styles, functions and so on ...
   * More visual corrections
   * Some new palettes and backdrops

2019-08-14  M. Z.
   * WSM: visual corrections
   * WSM: selection indicator support added
   * Subpanel launchers: selection indicator support added
   * Functions consolidation
   * Added VUE palettes and backdrops as a special addon
   * General code and config cleanup
   * Last page on desk remembering support (infostore desklastpage)
   * Optional colored WSM (infostore wsmcolored)

2019-07-24  M. Z.
   * Make Page Manager functional
   * Page Manager menu icons
   * Remove PGM FvwmScript(1) module
   * Add bin/mkpagemenu
   * Fix 3x3, 3x4 and 4x4 in NsCDE/share/defaults/pages/
   * 0.9.b91 out

2019-04-27  M. Z.
   * For FrontPanel and Subpanels modifier will me meta, not alt
   * Documentation update
   * 0.9.b84 released

2019-04-25  M. Z.
   * Bump version to intermediate 0.9.b83
   * Various fixes of keybindings
   * Add font xresources Xft DPI resource
   * Fonts DPI fixes
   * Bold Subpanel Title Fixes
   * Fonts DPI fixes, palette tuning
   * Remove ISO_Level3_Shift Ctrl keybinding, it interferes with escape chars
   * Help link fix in Help subpanel
   * New palette: OasisSpring
   * minor palette fixes
   * README/INSTALL corrections, documentation corrections
   * Tagging of files finish
   * Added Background pixmap and colorset for Icons to match almost in pixel CDE

2019-04-16  M. Z.
   * Added header identifier to most files
   * Release: 0.9.b81

2019-04-15  M. Z.
   * Lot of fixes
   * Usability and bindings
   * New backdrops
   * Documentation update
   * First real (but beta) release: 0.9.b80

2019-04-02  M. Z.
   * Implemented contextual properties menu for subpanel items
   * Updated generate_subpanels script
   * Rebuild system NsCDE-Subpanels.conf
   * Fixed icon menu popup keybinding
   * Updated documentation
   * 0.9.b64 is out

2019-03-29  M. Z.
   * Keybindings enriched for Front Panel and Subpanel pointer-less operations
   * Keybindings for WindowList redesigned more logically
   * Added keybinding for a current page cycling
   * Keybindings for last opened window focus and pointer warp
   * Sysinfo keys for closing
   * Documentation update
   * NsCDE Applications menu added to the list of generated application menus
   * Fix xdowrapper and generate_subpanels
   * Fix default subanels
   * SysActionDialog last used option selected by default support
   * 0.9.b62 out

2019-03-28  M. Z.
   * Finally subpanel handling has been redesigned to read actions file
   * Subpanel Manager and Subpanel Settings are reqritten almost from scratch
   * Added defaulr Subpanels.actions and NsCDE-Subpanels.conf
   * Created generate_subpanels helper script
   * Documentation updated to reflect new state of the subpanels
   * Subpanel handling functions in NsCDE-Functions are updated
   * Version 0.9.b60 as snapshot commited to master:nightly branch

2019-03-20  M. Z.
   * Version 0.9.b52 done
   * First packing for pubic release
   * Establishment of the regular ChangeLog
